VULKAN_HPP_NAMESPACE::ViewportSwizzleNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ViewportSwizzleNV (ViewportCoordinateSwizzleNV x_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV y_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV z_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV w_=ViewportCoordinateSwizzleNV::ePositiveX)
| ViewportSwizzleNV (VkViewportSwizzleNV const &rhs)
ViewportSwizzleNV & | operator= (VkViewportSwizzleNV const &rhs)
ViewportSwizzleNV & | setX (ViewportCoordinateSwizzleNV x_)
ViewportSwizzleNV & | setY (ViewportCoordinateSwizzleNV y_)
ViewportSwizzleNV & | setZ (ViewportCoordinateSwizzleNV z_)
ViewportSwizzleNV & | setW (ViewportCoordinateSwizzleNV w_)
| operator VkViewportSwizzleNV const & () const
| operator VkViewportSwizzleNV & ()
bool | operator== (ViewportSwizzleNV const &rhs) const
bool | operator!= (ViewportSwizzleNV const &rhs) const

## Data Fields

ViewportCoordinateSwizzleNV | x
ViewportCoordinateSwizzleNV | y
ViewportCoordinateSwizzleNV | z
ViewportCoordinateSwizzleNV | w

## Detailed Description

Definition at line 34507 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ViewportSwizzleNV() [1/2]

VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::ViewportSwizzleNV | ( | ViewportCoordinateSwizzleNV | x_ = `ViewportCoordinateSwizzleNV::ePositiveX`,
|  | ViewportCoordinateSwizzleNV | y_ = `ViewportCoordinateSwizzleNV::ePositiveX`,
|  | ViewportCoordinateSwizzleNV | z_ = `ViewportCoordinateSwizzleNV::ePositiveX`,
|  | ViewportCoordinateSwizzleNV | w_ = `ViewportCoordinateSwizzleNV::ePositiveX`
| ) |  |

inline

Definition at line 34509 of file vulkan.hpp.

: x( x_ )
, y( y_ )
, z( z_ )
, w( w_ )
{
}

## ViewportSwizzleNV() [2/2]

VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::ViewportSwizzleNV | ( | VkViewportSwizzleNV const & | rhs | ) |

inline

Definition at line 34520 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ViewportSwizzleNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkViewportSwizzleNV &()

VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator VkViewportSwizzleNV & | ( |  | ) |

inline

Definition at line 34559 of file vulkan.hpp.

{
return *reinterpret_cast<VkViewportSwizzleNV*>(this);
}

## operator VkViewportSwizzleNV const &()

VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator VkViewportSwizzleNV const & | ( |  | ) | const

inline

Definition at line 34554 of file vulkan.hpp.

{
return *reinterpret_cast<const VkViewportSwizzleNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator!= | ( | ViewportSwizzleNV const & | rhs | ) | const

inline

Definition at line 34572 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ViewportSwizzleNV& VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator= | ( | VkViewportSwizzleNV const & | rhs | ) |

inline

Definition at line 34525 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ViewportSwizzleNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator== | ( | ViewportSwizzleNV const & | rhs | ) | const

inline

Definition at line 34564 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y )
&& ( z == rhs.z )
&& ( w == rhs.w );
}

References w, x, y, and z.

Referenced by operator!=().

## setW()

ViewportSwizzleNV& VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::setW | ( | ViewportCoordinateSwizzleNV | w_ | ) |

inline

Definition at line 34548 of file vulkan.hpp.

{
w = w_;
return *this;
}

## setX()

ViewportSwizzleNV& VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::setX | ( | ViewportCoordinateSwizzleNV | x_ | ) |

inline

Definition at line 34530 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

ViewportSwizzleNV& VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::setY | ( | ViewportCoordinateSwizzleNV | y_ | ) |

inline

Definition at line 34536 of file vulkan.hpp.

{
y = y_;
return *this;
}

## setZ()

ViewportSwizzleNV& VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::setZ | ( | ViewportCoordinateSwizzleNV | z_ | ) |

inline

Definition at line 34542 of file vulkan.hpp.

{
z = z_;
return *this;
}

## Field Documentation

## w

ViewportCoordinateSwizzleNV VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::w

Definition at line 34580 of file vulkan.hpp.

Referenced by operator==().

## x

ViewportCoordinateSwizzleNV VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::x

Definition at line 34577 of file vulkan.hpp.

Referenced by operator==().

## y

ViewportCoordinateSwizzleNV VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::y

Definition at line 34578 of file vulkan.hpp.

Referenced by operator==().

## z

ViewportCoordinateSwizzleNV VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::z

Definition at line 34579 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::w
ViewportCoordinateSwizzleNV w
Definition: vulkan.hpp:34580
z
GLdouble GLdouble z
Definition: SDL_opengl_glext.h:404
VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::x
ViewportCoordinateSwizzleNV x
Definition: vulkan.hpp:34577
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkViewportSwizzleNV
Definition: vulkan_core.h:7241
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::y
ViewportCoordinateSwizzleNV y
Definition: vulkan.hpp:34578
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::operator==
bool operator==(ViewportSwizzleNV const &rhs) const
Definition: vulkan.hpp:34564
VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::z
ViewportCoordinateSwizzleNV z
Definition: vulkan.hpp:34579
VULKAN_HPP_NAMESPACE::ViewportSwizzleNV::ViewportSwizzleNV
ViewportSwizzleNV(ViewportCoordinateSwizzleNV x_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV y_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV z_=ViewportCoordinateSwizzleNV::ePositiveX, ViewportCoordinateSwizzleNV w_=ViewportCoordinateSwizzleNV::ePositiveX)
Definition: vulkan.hpp:34509
w
GLubyte GLubyte GLubyte GLubyte w
Definition: SDL_opengl_glext.h:731